Create a new connection
POST
/v2/connections
const url = 'https://api.surveycoder.io/v2/connections';const options = { method: 'POST', headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'}, body: '{"provider":"alchemer","name":"example","credentials":{}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.surveycoder.io/v2/connections \ --header 'Content-Type: application/json' \ --header 'x-api-key: <x-api-key>' \ --data '{ "provider": "alchemer", "name": "example", "credentials": {} }'Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ” Media type application/json
object
provider
required
string
name
required
string
credentials
required
Provider-specific credentials (encrypted at rest)
object
Responses
Section titled “ Responses ”Connection created